
TIMESTAMP:=`date +%Y-%m-%d.%H.%M.%S`
DOCUMENT_FILE=$(DOCUMENT).pdf
DOCUMENT_REMOTE=$(DOCUMENT)-$(TIMESTAMP).pdf

upload:	$(DOCUMENT_FILE)
	@if [ ! "$(REDMINE_UPLOAD_USER)" ];     then echo "REDMINE_UPLOAD_USER environment variable must be set"     ; exit 1 ; fi
	@if [ ! "$(REDMINE_UPLOAD_PASSWORD)" ]; then echo "REDMINE_UPLOAD_PASSWORD environment variable must be set" ; exit 1 ; fi
	@if [ ! "$(REDMINE_UPLOAD_URL)" ];      then echo "REDMINE_UPLOAD_URL variable must be set"                  ; exit 1 ; fi
	@if [ ! "$(REDMINE_UPLOAD_PROJECT)" ];  then echo "REDMINE_UPLOAD_PROJECT variable must be set"              ; exit 1 ; fi
	@/usr/share/texmf/tex/latex/vnc/upload_file_to_redmine.py	\
		-f "$(DOCUMENT_FILE)"			\
		-l "$(REDMINE_UPLOAD_URL)"		\
		-u "$(REDMINE_UPLOAD_USER)"		\
		-w "$(REDMINE_UPLOAD_PASSWORD)"		\
		-p "$(REDMINE_UPLOAD_PROJECT)"		\
		-d "$(DOCUMENT_REMOTE)"
